/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawnsharedlibs.hpp"
#include "file.hpp"

#include <stb_image.h>
#include <stb_image_resize.h>
#include <stb_image_write.h>

/**
 * Unused currently.
 * 
 * @param source 
 * @param sourceWidth 
 * @param sourceHeight 
 * @param dest 
 * @param destWidth 
 * @param destHeight 
 * @param cropX 
 * @param cropY 
 * @param cropWidth 
 * @param cropHeight 
 * @param pasteX 
 * @param pasteY 
 * @param channels 
 */
void imageCopy(
  uint8_t *source, int32_t sourceWidth, int32_t sourceHeight,
  uint8_t *dest, int32_t destWidth, int32_t destHeight,
  int32_t cropX, int32_t cropY, int32_t cropWidth, int32_t cropHeight,
  int32_t pasteX, int32_t pasteY,
  int32_t channels
);